#
# Conditional build:
%bcond_with	tests	# do not perform "make test". requires network access, https://github.com/fedora-python/pyp2rpm/issues/57

Summary:	Convert Python packages to RPM .spec files
Name:		pyp2rpm
Version:	3.1.3
Release:	1
License:	MIT
Group:		Development
Source0:	https://github.com/fedora-python/pyp2rpm/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	3ef566fdc6f9f904d1d3a18f9d7b56ad
Patch0:		default-savepath.patch
Patch1:		no-rpmdev-packager.patch
Patch2:		default-distro.patch
URL:		https://github.com/fedora-python/pyp2rpm
BuildRequires:	python-flexmock >= 0.9.3
BuildRequires:	python-pytest
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Convert Python packages to RPM .spec.

Users can provide their own templates for rendering the package
metadata. Both the package source and metadata can be extracted from
PyPI or from local filesystem (local file doesn't provide that much
information though).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%py_build

%if %{with tests}
PYTHONPATH=$(pwd) py.test
%endif

%install
rm -rf $RPM_BUILD_ROOT
%py_install
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md LICENSE
%attr(755,root,root) %{_bindir}/pyp2rpm
%dir %{py_sitescriptdir}/%{name}
%{py_sitescriptdir}/%{name}/*.py[co]
%dir %{py_sitescriptdir}/%{name}/templates
%{py_sitescriptdir}/%{name}/templates/fedora.spec
%{py_sitescriptdir}/%{name}/templates/fedora_subdirs.spec
%{py_sitescriptdir}/%{name}/templates/macros.spec
%{py_sitescriptdir}/%{name}/templates/mageia.spec
%{py_sitescriptdir}/%{name}/templates/pld.spec
%{py_sitescriptdir}/%{name}-%{version}-py*.egg-info
%changelog
* Sun Oct 16 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pyp2rpm.git;a=log;h=master

* Tue Sep 06 2016 Elan Ruusamäe <glen@delfi.ee> a9e5bda
- up to 3.1.3

* Mon Jun 27 2016 Elan Ruusamäe <glen@delfi.ee> d3776c9
- disable tests

* Mon Jun 20 2016 Elan Ruusamäe <glen@delfi.ee> 3db342a
- drop requires already present via pythonegg deps

* Mon Jun 20 2016 Elan Ruusamäe <glen@delfi.ee> f883d72
- 3.1.2; Use https in PyPI URL instead of http

* Fri Mar 11 2016 Elan Ruusamäe <glen@delfi.ee> 41978a2
- pld template upstreamed (yay!)

* Fri Mar 11 2016 Elan Ruusamäe <glen@delfi.ee> f8fb92c
- run tests

* Fri Mar 11 2016 Elan Ruusamäe <glen@delfi.ee> 4207335
- use github tarball

* Fri Mar 11 2016 Elan Ruusamäe <glen@delfi.ee> 1588ee5
- up to 2.0.0

* Sat May 23 2015 Elan Ruusamäe <glen@delfi.ee> 52c0e66
- up to 1.1.2

* Sun Mar 17 2013 Elan Ruusamäe <glen@delfi.ee> 4fa3fef
- buildroot, postclean, clean install

* Sun Mar 17 2013 Elan Ruusamäe <glen@delfi.ee> 7173656
- switch default distro and template to pld

* Sun Mar 17 2013 Elan Ruusamäe <glen@delfi.ee> 41a9b90
- add pld spec template

* Sun Mar 17 2013 Elan Ruusamäe <glen@delfi.ee> 8cd0374
- add templates/mageia.spec as pld.spec.tmpl

* Sun Mar 17 2013 Elan Ruusamäe <glen@delfi.ee> 14705ca
- fix license and group mixup

* Sun Mar 17 2013 Elan Ruusamäe <glen@delfi.ee> 86badbe
- do not assume we're on fedora

* Sun Mar 17 2013 Elan Ruusamäe <glen@delfi.ee> aa1c3d8
- default savepath  to current dir

* Sun Mar 17 2013 Elan Ruusamäe <glen@delfi.ee> c1f9203
- cleanup deps; enable tests

* Sun Mar 17 2013 Elan Ruusamäe <glen@delfi.ee> 20e7220
- new, version 1.0.1

